org.apache.commons.ssl.asn1

## Class OIDTokenizer

- java.lang.Object
- - org.apache.commons.ssl.asn1.OIDTokenizer

    public class OIDTokenizer
    extends java.lang.Object

class for breaking up an OID into it's component tokens, ala java.util.StringTokenizer. We need this class as some of the lightweight Java environment don't support classes like StringTokenizer.

### Field Summary

Fields
`private int` `index`
`private java.lang.String` `oid`

### Constructor Summary

Constructors
Constructor and Description
`OIDTokenizer(java.lang.String oid)`

### Method Summary

Methods
`boolean` `hasMoreTokens()`
`java.lang.String` `nextToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### oid

    private java.lang.String oid

#### index

    private int index

### Constructor Detail

#### OIDTokenizer

    public OIDTokenizer(java.lang.String oid)

### Method Detail

#### hasMoreTokens

    public boolean hasMoreTokens()

#### nextToken

    public java.lang.String nextToken()